toolzerhub API Docs

Search tournaments with a feature (v1)

Finds up to 10 tournaments by name that have a feature: a bracket, standings, power rankings, season player statistics or team of the week. Nothing found returns data: null.

1 credit / requestBilled only on success
GET
/v1/sofascore/search/tournaments/with

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

query*string

Text to search for, 2 to 100 characters.

Length2 <= length <= 100
feature?string

standings, cuptree (bracket), power-rankings, sps (season player statistics) or totw (team of the week).

Default"standings"

Value in

  • "standings"
  • "cuptree"
  • "power-rankings"
  • "sps"
  • "totw"
curl -X GET "https://example.com/v1/sofascore/search/tournaments/with?query=arsenal" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "property1": null,    "property2": null  },  "details": {    "reason": "string",    "message": "string"  }}